// SGD_Math.h : contains some simple math defines and functions
#pragma once
#define PI 3.141592653589732

struct tPoint2D
{
	double dX, dY;	//X and Y positions in our world.
};

// A direction of movement

struct tVector2D
{
	double dX, dY; //X and Y Movment
};

// return the length of a vector (magnitude).
double Vector2DLength(tVector2D vector);

//normalize a vector.
tVector2D Vector2DNormalize(tVector2D vector);

tVector2D Vector2DRotate(tVector2D vector, double dRadians);

double AngleBetweenVectors(tVector2D &v1, tVector2D &v2);

